Bug 123804 - (PATCH)Missing "" in xinput script.
(PATCH)Missing "" in xinput script.
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: xinitrc (Show other bugs)
2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Mike A. Harris
: i18n
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-05-20 13:15 EDT by Torin Ford
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-06-04 19:14:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Torin Ford 2004-05-20 13:15:43 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.6)
Gecko/20040206 Firefox/0.8

Description of problem:
Today I upgraded from FC 1 to FC 2 and upon starting X, I noticed an
error.  The error was this:

/etc/X11/xinit/xinitrc: line 63: [: too many arguments

I tracked this down to line 63 of /etc/X11/xinit/xinitrc.d/xinput.

See Steps to Reproduce, Actual Results, and Expected Results for more
information.

Version-Release number of selected component (if applicable):
xinitrc-3.39.1

How reproducible:
Always

Steps to Reproduce:
1. Open /etc/X11/xinit/xinitrc.d/xinput in your favorite editor (VIM)
2. Go to line 63.
3. Notice you see this line:

        if [ -z $1 -o "$1" = "default" ]; then


Actual Results:  I noticed the quotes were missing.

Expected Results:  The quotes should be present like this:

        if [ -z "$1" -o "$1" = "default" ]; then

Additional info:
Comment 1 Mike A. Harris 2004-06-04 19:14:34 EDT
Fixed in xinitrc-3.41-1 in erratum release.

Note You need to log in before you can comment on or make changes to this bug.